package com.patzn.lims.drug.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.drug.dto.StatisticNotOK;
import com.patzn.lims.drug.dto.StatisticPersonalTest;
import com.patzn.lims.drug.dto.StatisticSampleRank;
import com.patzn.lims.drug.entity.DrugItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.patzn.lims.drug.vo.DrugItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 食药资质项目表 Mapper 接口
 * </p>
 *
 * @author wwd
 * @since 2020-02-29
 */
public interface DrugItemMapper extends BaseMapper<DrugItem> {

    Page<DrugItemVO> selectAllocateVOList(Page page, @Param("vo") DrugItemVO vo);

    Page<DrugItemVO> selectVOList(Page page, @Param("vo")DrugItemVO vo);

    Page<DrugItemVO> selectVOInputList(Page page, @Param("vo")DrugItemVO vo);


    int getPersonalTestNumber(@Param("vo") Account account);


    StatisticPersonalTest getPersonTest(@Param("vo")StatisticPersonalTest personalTest);

    List<StatisticSampleRank> getSampleRank(@Param("rank")StatisticSampleRank rank, @Param("account")Account account);

    List<StatisticNotOK> getItemFail(@Param("notOK")StatisticNotOK notOK, @Param("account")Account account);

    Page<DrugItemVO> pageItemFail(Page page,  @Param("vo")DrugItemVO notOK);

    List<StatisticSampleRank> selectSampleNumByDay(@Param("daysList")List<String> daysList);

    List<StatisticSampleRank> selectItemNumByDay(@Param("daysList")List<String> daysList);
}
