package com.patzn.lims.online.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.patzn.lims.core.PtConstants;
import com.patzn.lims.core.api.PtResult;
import com.patzn.lims.core.online.entity.PtOnlFormField;
import com.patzn.lims.core.web.ServiceController;
import com.patzn.lims.online.service.IPtOnlFormFieldService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 字段表 前端控制器
 * </p>
 *
 * @author wwd
 * @since 2020-05-13
 */
@Api(tags = "字段表")
@RestController
@RequestMapping("/v1/onl_form_field")
public class PtOnlFormFieldController extends ServiceController<IPtOnlFormFieldService, PtOnlFormField> {

    @ApiOperation(value = "分页列表", notes = "分页查询数据列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = PtConstants.PAGE_PAGE, value = "请求数据的页码", required = true, paramType = "query", dataType = "int"),
            @ApiImplicitParam(name = PtConstants.PAGE_ROWS, value = "每页条数", required = true, paramType = "query", dataType = "int"),
            @ApiImplicitParam(name = PtConstants.PAGE_SIDX, value = "排序字段", paramType = "query", dataType = "String"),
            @ApiImplicitParam(name = PtConstants.PAGE_SORD, value = "排序方式", paramType = "query", dataType = "String"),
    })
    @PostMapping("/page")
	public PtResult<IPage<PtOnlFormField>> getPage(PtOnlFormField ptOnlFormField) {
        return success(baseService.page(getPage(), ptOnlFormField));
	}

}
